<!-- DO NOT MODIFY -->
<!-- This file was autogenerated by build-docs.ts -->
<!-- Edit the docstring in index.ts and regenerate -->
<!-- rather than editing this file directly. -->
# unified-latex-util-print-raw

## What is this?

Functions to print a `unified-latex` Abstract Syntax Tree (AST) to a string.

## When should I use this?

If you want to directly print an `Ast.Ast` to a string without any pretty printing or formatting.

## Install

```bash
npm install @unified-latex/unified-latex-util-print-raw
```

This package contains both esm and commonjs exports. To explicitly access the esm export,
import the `.js` file. To explicitly access the commonjs export, import the `.cjs` file.

# Functions

## `printRaw(node, options)`

Renders the AST to a string without any pretty printing.

```typescript
function printRaw(
  node: Printable | Printable[],
  options: { asArray: false }
): string;
```

**Parameters**

| Param   | Type                       | Description                                                                                                                     |
| :------ | :------------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| node    | `Printable \| Printable[]` |                                                                                                                                 |
| options | `{ asArray: false; }`      | *   Setting `asArray` to `true` will return an array of strings and the symbol `linebreak`, so that printing can be customized. |

# Constants

| Name        | Type     |
| :---------- | :------- |
| `linebreak` | `Symbol` |
